Bug 1122427 - GetRngDeviceQuery should be a user query
Summary: GetRngDeviceQuery should be a user query
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 08:36 UTC by Oved Ourfali
Modified: 2016-02-10 19:49 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:37:59 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30618 master MERGED core: GetRngDeviceQuery should be a user query Never
oVirt gerrit 30619 ovirt-engine-3.5 MERGED core: GetRngDeviceQuery should be a user query Never

Description Oved Ourfali 2014-07-23 08:36:37 UTC
The GetRngDeviceQuery is being referenced from the user portal, thus it should be a user query.

Comment 1 Oved Ourfali 2014-07-23 13:44:18 UTC
Seems like it requires further work, so moving it to Frantisek.

Comment 2 Pavel Novotny 2014-09-03 16:16:59 UTC
Verified in ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch (rc1.1).

Before build rc1, when a user for example updated in User Portal a VM with enabled RNG sources, there was error message thrown in engine.log:

2014-07-29 18:32:48,309 ERROR [org.ovirt.engine.core.bll.GetRngDeviceQuery] (ajp--127.0.0.1-8702-1) Query execution failed due to insufficient permissions.

In rc1.1, no such message is present any more.

Comment 3 Sandro Bonazzola 2014-10-17 12:37:59 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.